Bug 1275621 - AssetMgmt: Impossible to promote multiple selected files
AssetMgmt: Impossible to promote multiple selected files
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity low
: CR1
: 6.2.0
Assigned To: Pere Fernàndez
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 07:24 EDT by Jiri Locker
Modified: 2015-11-18 06:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2015-10-27 07:24:35 EDT
Description of problem:
The "Files in the branch" select box allows for selecting multiples files. After clicking "Promote Selected" button, only the first file from the selection moves to "Files to promote" select box.

Version-Release number of selected component (if applicable):
6.2.0.ER4

How reproducible:
With asset management enabled.

Steps to Reproduce:
1. Start promotion from master to dev-1.0.0 in a project with more than one file.
2. Claim Promotion task.
3. Select multiple files in the source branch select box.
4. Click "Promote Selected".

Actual results:
Only the first file in the selection moves to "Files to promote" select box.

Expected results:
All selected files should move to "Files to promote" select box.

Additional info:
Comment 1 Pere Fernàndez 2015-11-04 15:25:06 EST
Sent PR's to master & 6.3
Comment 3 Jiri Locker 2015-11-18 06:09:17 EST
Promote Selected now works as expected, thanks.

Note You need to log in before you can comment on or make changes to this bug.